cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/books/settings/dictionary' \
-H 'Authorization: Bearer API_KEY'client.index('books').getDictionary()$client->index('books')->getDictionary();client.index('books').get_dictionary()client.index("books").getDictionarySettings();client.index('books').dictionaryclient.Index("books").GetDictionary()var indexDictionary = await client.Index("books").GetDictionaryAsync();let task: TaskInfo = client
.index('books')
.get_dictionary()
.await
.unwrap();client.index("books").getDictionary { result in
// handle result
}[]{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Dictionary
Get dictionary
Returns the current value of the dictionary setting for the index.
GET
/
indexes
/
{index_uid}
/
settings
/
dictionary
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/books/settings/dictionary' \
-H 'Authorization: Bearer API_KEY'client.index('books').getDictionary()$client->index('books')->getDictionary();client.index('books').get_dictionary()client.index("books").getDictionarySettings();client.index('books').dictionaryclient.Index("books").GetDictionary()var indexDictionary = await client.Index("books").GetDictionaryAsync();let task: TaskInfo = client
.index('books')
.get_dictionary()
.await
.unwrap();client.index("books").getDictionary { result in
// handle result
}[]{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({ host: 'MEILISEARCH_URL', apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1' });
Path Parameters
Unique identifier of the index.
Response
Returns the current value of the dictionary setting.
Was this page helpful?